Retrieve all RICALs
/v1/ecosystems/{ecosystemId}/ricals/publicRetrieves all RICALs available in the requested ecosystem.
The response is a JSON list of the published RICALs and their version identifiers. To download an actual RICAL file (a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5), call the Retrieve specific RICAL or Retrieve latest RICAL endpoint.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytics Events
Path Parameters
The UUID of the ecosystem
uuidQuery Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/ricals/public"{ "data": [ { "ricalIssueID": 0, "date": "2019-08-24T14:15:22Z", "filename": "string", "isAutoPublished": true } ], "nextCursor": "string"}How would you rate this page?
Create RICAL POST
Creates a Reader Identity Certificate Authority List (RICAL) based on the policy of the requested ecosystem. A [RICAL configuration](#operation/updateRicalConfiguration) is required in order for RICALs to be created.
Retrieve specific RICAL GET
Retrieves a specific RICAL from the requested ecosystem by providing the RICAL version identifier. The response is a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5. This endpoint is intended for public consumption, and as such does not require authentication.